Debian Bug report logs - #474055
The name pcp is already in use

version graph

Package: librapi2-tools; Maintainer for librapi2-tools is Jonny Lamb <jonny@debian.org>; Source for librapi2-tools is src:librapi2.

Reported by: Casper Gielen <casper@gielen.name>

Date: Thu, 3 Apr 2008 00:39:02 UTC

Severity: serious

Found in version librapi2/0.11-2

Fixed in version librapi2/0.11-3

Done: Jonny Lamb <jonnylamb@jonnylamb.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Nathan Scott <nathans@debian.org>:
Bug#474055; Package pcp. Full text and rfc822 format available.

Acknowledgement sent to Casper Gielen <casper@gielen.name>:
New Bug report received and forwarded. Copy sent to Nathan Scott <nathans@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Casper Gielen <casper@gielen.name>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: The name pcp is already in use
Date: Thu, 03 Apr 2008 02:37:51 +0200
Package: pcp
Version: 2.7.4-20080402
Severity: serious
Justification: Policy 10.1]

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

The package rapi2-tools contains a binary called pcp and a manpage for
that command.

- -- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.24-1-686 (SMP w/1 CPU core)
Locale: LANG=nl_NL.UTF-8, LC_CTYPE=nl_NL.UTF-8 (charmap=UTF-8) (ignored: LC_ALL set to nl_NL.UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages pcp depends on:
ii  cpp                     4:4.2.3-7        The GNU C preprocessor (cpp)
ii  gawk                    1:3.1.5.dfsg-4.1 GNU awk, a pattern scanning and pr
ii  libc6                   2.7-10           GNU C Library: Shared libraries
ii  libgcc1                 1:4.3.0-3        GCC support library
ii  libpcp-pmda3            2.7.4-20080402   Performance Co-Pilot Domain Agent 
ii  libpcp-trace2           2.7.4-20080402   Performance Co-Pilot application t
ii  libpcp3                 2.7.4-20080402   Performance Co-Pilot library
ii  libstdc++6              4.3.0-3          The GNU Standard C++ Library v3
ii  procps                  1:3.2.7-6        /proc file system utilities
ii  sysv-rc-conf            0.99-6           SysV init runlevel configuration t

Versions of packages pcp recommends:
pn  kmchart                       <none>     (no description available)

- -- no debconf information

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFH9CbfIhQIPPgOSvcRAs+HAJ9MfPGwTGChpOzv1D0m8c99qzqN1QCePYK/
xf+7D4e3PgRewATbo9/HHq0=
=cGpR
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Nathan Scott <nathans@debian.org>:
Bug#474055; Package pcp. Full text and rfc822 format available.

Acknowledgement sent to Jonny Lamb <jonnylamb@jonnylamb.com>:
Extra info received and forwarded to list. Copy sent to Nathan Scott <nathans@debian.org>. Full text and rfc822 format available.

Message #10 received at 474055@bugs.debian.org (full text, mbox):

From: Jonny Lamb <jonnylamb@jonnylamb.com>
To: 474055@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Problem is with librapi2-tools
Date: Thu, 3 Apr 2008 01:50:27 +0100
[Message part 1 (text/plain, inline)]
reassign 474055 librapi2-tools 0.11-2
kthxbye

Hi,

The problem is probably with librapi2-tools (my package).
I'll sort this and upload it ASAP.

Thanks,

-- 
Jonny Lamb, UK                                   jonnylamb@jonnylamb.com
http://jonnylamb.com                                     GPG: 0x2E039402
[signature.asc (application/pgp-signature, inline)]

Bug reassigned from package `pcp' to `librapi2-tools'. Request was from Jonny Lamb <jonnylamb@jonnylamb.com> to control@bugs.debian.org. (Thu, 03 Apr 2008 00:57:05 GMT) Full text and rfc822 format available.

Tags added: pending Request was from Jonny Lamb <jonnylamb@jonnylamb.com> to control@bugs.debian.org. (Thu, 03 Apr 2008 01:06:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Jonny Lamb <jonnylamb@jonnylamb.com>:
Bug#474055; Package librapi2-tools. Full text and rfc822 format available.

Acknowledgement sent to nscott@aconex.com:
Extra info received and forwarded to list. Copy sent to Jonny Lamb <jonnylamb@jonnylamb.com>. Full text and rfc822 format available.

Message #19 received at 474055@bugs.debian.org (full text, mbox):

From: Nathan Scott <nscott@aconex.com>
To: Jonny Lamb <jonnylamb@jonnylamb.com>, 474055@bugs.debian.org
Subject: Re: Bug#474055: Problem is with librapi2-tools
Date: Thu, 03 Apr 2008 13:53:36 +1100
On Thu, 2008-04-03 at 01:50 +0100, Jonny Lamb wrote:
> 
> Hi,
> 
> The problem is probably with librapi2-tools (my package).
> I'll sort this and upload it ASAP.

Hi Jonny,

Let me know if you want a Conflicts: line in the pcp
package... or some other strategy for sorting this out.

cheers.

-- 
Nathan





Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#474055; Package librapi2-tools. Full text and rfc822 format available.

Acknowledgement sent to Jonny Lamb <jonnylamb@jonnylamb.com>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #24 received at 474055@bugs.debian.org (full text, mbox):

From: Jonny Lamb <jonnylamb@jonnylamb.com>
To: Nathan Scott <nscott@aconex.com>
Cc: 474055@bugs.debian.org
Subject: Re: Bug#474055: Problem is with librapi2-tools
Date: Thu, 3 Apr 2008 12:35:18 +0100
[Message part 1 (text/plain, inline)]
Hi Nathan,

On Thu, Apr 03, 2008 at 01:53:36PM +1100, Nathan Scott wrote:
> Let me know if you want a Conflicts: line in the pcp
> package... or some other strategy for sorting this out.

Thanks for your offer! I've actually already fixed this problem a while
ago[0] when a similar bug popped up[1]. That got fixed by the other package
but I've updated the "Closes:" entry to this bug[2].

I'm just waiting on my sponsor to review and upload of the new package[3]
with the fix.

[Just to state here, I'm renaming all /usr/bin/p* binaries to
/usr/bin/synce-p*, and their respective man pages.]

Many thanks,

0. http://git.jonnylamb.com/?p=packaging/librapi2.git;a=commitdiff;h=f371812bd
1. http://bugs.debian.org/466825
2. http://git.jonnylamb.com/?p=packaging/librapi2.git;a=commitdiff;h=bc355595e
3. http://compsoc.dur.ac.uk/~jdl/synce-0.11-packages/librapi2_0.11-3.dsc

-- 
Jonny Lamb, UK                                   jonnylamb@jonnylamb.com
http://jonnylamb.com                                     GPG: 0x2E039402
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Jonny Lamb <jonnylamb@jonnylamb.com>:
Bug#474055; Package librapi2-tools. Full text and rfc822 format available.

Acknowledgement sent to nscott@aconex.com:
Extra info received and forwarded to list. Copy sent to Jonny Lamb <jonnylamb@jonnylamb.com>. Full text and rfc822 format available.

Message #29 received at 474055@bugs.debian.org (full text, mbox):

From: Nathan Scott <nscott@aconex.com>
To: Jonny Lamb <jonnylamb@jonnylamb.com>
Cc: 474055@bugs.debian.org
Subject: Re: Bug#474055: Problem is with librapi2-tools
Date: Fri, 04 Apr 2008 09:02:47 +1100
On Thu, 2008-04-03 at 12:35 +0100, Jonny Lamb wrote:
> Hi Nathan,
> 
> On Thu, Apr 03, 2008 at 01:53:36PM +1100, Nathan Scott wrote:
> > Let me know if you want a Conflicts: line in the pcp
> > package... or some other strategy for sorting this out.
> 
> Thanks for your offer! I've actually already fixed this problem a while
> ago[0] when a similar bug popped up[1]. That got fixed by the other package
> but I've updated the "Closes:" entry to this bug[2].
> 
> I'm just waiting on my sponsor to review and upload of the new package[3]
> with the fix.
> 
> [Just to state here, I'm renaming all /usr/bin/p* binaries to
> /usr/bin/synce-p*, and their respective man pages.]
> 

Ah, OK - great - looks like this is all completely under
control then.  Thanks for the quick responses!

cheers.

-- 
Nathan





Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#474055; Package librapi2-tools. Full text and rfc822 format available.

Acknowledgement sent to Jonny Lamb <jonnylamb@jonnylamb.com>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #34 received at 474055@bugs.debian.org (full text, mbox):

From: Jonny Lamb <jonnylamb@jonnylamb.com>
To: 474055@bugs.debian.org
Subject: Prepared package
Date: Sun, 6 Apr 2008 12:37:05 +0100
[Message part 1 (text/plain, inline)]
Ready to upload...

http://compsoc.dur.ac.uk/~jdl/synce-0.11-packages/librapi2_0.11-3.dsc

-- 
Jonny Lamb, UK                                   jonnylamb@jonnylamb.com
http://jonnylamb.com                                     GPG: 0x2E039402
[signature.asc (application/pgp-signature, inline)]

Reply sent to Jonny Lamb <jonnylamb@jonnylamb.com>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Casper Gielen <casper@gielen.name>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #39 received at 474055-close@bugs.debian.org (full text, mbox):

From: Jonny Lamb <jonnylamb@jonnylamb.com>
To: 474055-close@bugs.debian.org
Subject: Bug#474055: fixed in librapi2 0.11-3
Date: Sun, 06 Apr 2008 12:32:08 +0000
Source: librapi2
Source-Version: 0.11-3

We believe that the bug you reported is fixed in the latest version of
librapi2, which is due to be installed in the Debian FTP archive:

librapi2-dbg_0.11-3_i386.deb
  to pool/main/libr/librapi2/librapi2-dbg_0.11-3_i386.deb
librapi2-dev_0.11-3_i386.deb
  to pool/main/libr/librapi2/librapi2-dev_0.11-3_i386.deb
librapi2-tools_0.11-3_i386.deb
  to pool/main/libr/librapi2/librapi2-tools_0.11-3_i386.deb
librapi2_0.11-3.diff.gz
  to pool/main/libr/librapi2/librapi2_0.11-3.diff.gz
librapi2_0.11-3.dsc
  to pool/main/libr/librapi2/librapi2_0.11-3.dsc
librapi2_0.11-3_i386.deb
  to pool/main/libr/librapi2/librapi2_0.11-3_i386.deb
python-rapi2_0.11-3_i386.deb
  to pool/main/libr/librapi2/python-rapi2_0.11-3_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 474055@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jonny Lamb <jonnylamb@jonnylamb.com> (supplier of updated librapi2 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 06 Apr 2008 13:10:20 +0100
Source: librapi2
Binary: librapi2-dev librapi2-dbg librapi2 librapi2-tools python-rapi2
Architecture: source i386
Version: 0.11-3
Distribution: unstable
Urgency: low
Maintainer: Jonny Lamb <jonnylamb@jonnylamb.com>
Changed-By: Jonny Lamb <jonnylamb@jonnylamb.com>
Description: 
 librapi2   - Make RAPI calls to a Windows Mobile device, runtime libraries
 librapi2-dbg - Make RAPI calls to a Windows Mobile device, debug symbols
 librapi2-dev - Make RAPI calls to a Windows Mobile device, development libraries
 librapi2-tools - Make RAPI calls to a Window Mobile device, library tools
 python-rapi2 - Make RAPI calls to a Windows Mobile device, Python bindings
Closes: 474055
Changes: 
 librapi2 (0.11-3) unstable; urgency=low
 .
   * debian/rules:
     + Renamed /usr/bin/p* tools to /usr/bin/synce-p*. This was
       done on older versions of this package too. (Closes: #474055)
     + Ignored config.{sub,guess} changes to clean up diff.
Files: 
 5e6d47573db8e464a008c2b01a6ab589 986 libs optional librapi2_0.11-3.dsc
 96981c2719fc71b165bd866502bb698e 4123 libs optional librapi2_0.11-3.diff.gz
 269fe809051084fe59fbcc4decd68126 43216 libdevel optional librapi2-dev_0.11-3_i386.deb
 be3188f67c0846ab515c3256d09390db 175970 libdevel extra librapi2-dbg_0.11-3_i386.deb
 e467c01db030242271e2dcdc52c38032 30050 libs optional librapi2_0.11-3_i386.deb
 51dc1a235e1336b0da971208a9e29f80 48758 utils optional librapi2-tools_0.11-3_i386.deb
 25aacc76e39a80a3b514fe5ed1ddf630 53842 python optional python-rapi2_0.11-3_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFH+MHXfDt5cIjHwfcRAnYbAJ0fQA8ESRB///QMeJXzwVrD1rAQ9gCbB5K0
xE9Tt6J+79rK+H6FuIBsm8o=
=mfbr
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 16 May 2008 07:58:09 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 07:46:35 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.